steps:
- name: 'gcr.io/cloud-builders/docker'
  args:
  - 'build'
  - '-f'
  - 'Dockerfile.api'
  - '-t'
  - 'us-central1-docker.pkg.dev/archie-v3-build/policy-service/api:latest'
  - '-t'
  - 'us-central1-docker.pkg.dev/archie-v3-build/policy-service/api:v1.1.0'
  - '-t'
  - 'us-central1-docker.pkg.dev/archie-v3-build/policy-service/api:225f6b9'
  - '.'

images:
- 'us-central1-docker.pkg.dev/archie-v3-build/policy-service/api:latest'
- 'us-central1-docker.pkg.dev/archie-v3-build/policy-service/api:v1.1.0'
- 'us-central1-docker.pkg.dev/archie-v3-build/policy-service/api:225f6b9'

options:
  machineType: 'E2_HIGHCPU_8'
  logging: CLOUD_LOGGING_ONLY

timeout: '1200s'
